#!/usr/bin/python

import tornado.web

from .. import database

class UIModule(tornado.web.UIModule):
	@property
	def backend(self):
		return self.handler.backend


class ChristmasBannerModule(UIModule):
	def render(self):
		return self.render_string("modules/christmas-banner.html")


class MarkdownModule(UIModule):
	def render(self, markdown):
		return self.backend.blog._render_text(markdown)


class MapModule(UIModule):
	def render(self, latitude, longitude):
		return self.render_string("modules/map.html", latitude=latitude, longitude=longitude)


class ProgressBarModule(UIModule):
	def render(self, value, colour=None):
		value *= 100

		return self.render_string("modules/progress-bar.html",
			colour=colour, value=value)
